Subject: Re: bug#62939: 29.0.90; Apparent problem with use-package documentation

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Apr 2023 21:39:34 +0300

> From: "Mat Marcus" <[email-masked]>
> Date: Tue, 18 Apr 2023 08:55:20 -0600
> 
> In GNU Emacs 29.0.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.37, cairo version 1.16.0) of 2023-04-18 built on ring
> 
> The "Getting Started" topic of the use-package info contains the
> following unclear language in paragraph 2:
> 
> “     (require 'use-package)
> 
>    The above makes the ‘use-macro’ for in the rest of your init file.
> In this manual, we call each call to ‘use-macro’ a “declaration”, to
> highlight the declarative nature of its semantic.”

I cannot find anything like that in use-package.info that shipped with
the Emacs 29.0.90 pretest.  Are you sure you have an up-to-date
use-package.info manual?